# Wan v2.2 5B · Text to Video API

> Text-to-video z modelem 5B: 580p lub 720p, 16:9, 9:16 lub 1:1, opcjonalna interpolacja klatek

Tworzy klip wideo na podstawie tekstowego `prompt`. Długość określają `num_frames` (od 17 do 161) i `frames_per_second` (od 4 do 60), przy `resolution` 580p lub 720p oraz proporcjach 16:9, 9:16 lub 1:1. Można włączyć interpolację klatek film lub rife, a jakość wyjścia i tryb zapisu pliku można dostosować. Jest to wariant ze standardowym sterowaniem i maksymalnie 50 krokami inferencji.

- Model id: `wan/v2.2-5b/text-to-video`
- Made by: Alibaba
- Category: Text to Video
- Output: video
- Price: $0.15 / video (cheapest run $0.15 (150 API credits))
- Run: `POST https://api.doitong.ru/v1/run/wan/v2.2-5b/text-to-video`
- Quote: `POST https://api.doitong.ru/v1/quote/wan/v2.2-5b/text-to-video`
- Docs page: https://doitong.com/pl/developers/models/wan/v2.2-5b/text-to-video

## Pricing

Price: **$0.15 / video**. Billed once per generated video.

The full example input below costs $0.15 = 150 API credits (1 video × 150 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/wan/v2.2-5b/text-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | Instrukcje tekstowe sterujące generowaniem wideo. |
| `negative_prompt` |  | string | no | `` |  | Negatywny prompt stosowany podczas generowania wideo. |
| `num_frames` |  | integer | no | `81` | 17 – 161 | Liczba klatek do generowania, w zakresie od 17 do 161 włącznie. |
| `frames_per_second` |  | integer \| null | no | `24` | 4 – 60 | Liczba klatek na sekundę wygenerowanego wideo, przyjmująca wartości od 4 do 60; ustawienie `adjust_fps_for_interpolation` na false zachowuje tę wartość bez zmian. Przy użyciu interpolacji i `adjust_fps_for_interpolation` ustawionym na true (wartość domyślna), pomnóż tę wartość przez jeden plus liczba interpolowanych klatek, aby uzyskać końcowe FPS. Na przykład 16 FPS z 1 interpolowaną klatką daje 32 FPS. |
| `seed` |  | integer \| null | no |  |  | Ziarno zapewniające powtarzalność generowania. Ustawienie None wybiera ziarno losowo. |
| `resolution` |  | enum (string) | no | `720p` | `580p`, `720p` | Rozdzielczość wynikowego wideo, 580p lub 720p. |
| `aspect_ratio` |  | enum (string) | no | `16:9` | `16:9`, `9:16`, `1:1` | Proporcje wideo wyniku: 16:9 lub 9:16. |
| `num_inference_steps` |  | integer | no | `40` | 2 – 50 | Liczba kroków próbkowania; większa liczba oznacza dłuższe przetwarzanie, ale lepszą jakość. |
| `enable_safety_checker` |  | boolean | no | `false` |  | Filtrowanie bezpieczeństwa danych wejściowych przed przetwarzaniem, które mogą wyłączyć tylko autoryzowane konta. Żądania bez autoryzacji są zawsze filtrowane; w przeciwnym razie true włącza filtrowanie. |
| `enable_output_safety_checker` |  | boolean | no | `false` |  | Kontroluje filtrowanie bezpieczeństwa wygenerowanego wideo; ustawienie true włącza sprawdzenie po generowaniu. |
| `enable_prompt_expansion` |  | boolean | no | `false` |  | Pozwala dużemu modelowi językowemu wzbogacić prompt o szczegóły. Włączenie tego rozszerzenia nie zmienia znaczenia promptu. |
| `guidance_scale` |  | number | no | `3.5` | 1 – 10 | Siła sterowania bez klasyfikatora, poświęcająca potencjalną jakość na rzecz dokładniejszego dopasowania do promptu wraz ze wzrostem skali. |
| `shift` |  | number | no | `5` | 1 – 10 | Ustawienie przesunięcia (shift) wideo, z dozwolonym zakresem 1.0–10.0. |
| `interpolator_model` |  | enum (string) | no | `film` | `none`, `film`, `rife` | Ustawienie interpolacji klatek: wybierz None, aby pominąć interpolację, lub określ model, który ma ją wykonać. |
| `num_interpolated_frames` |  | integer | no | `0` | 0 – 4 | Wstaw od 0 do 4 interpolowanych klatek w każdą przerwę między dwiema wygenerowanymi klatkami. |
| `adjust_fps_for_interpolation` |  | boolean | no | `true` |  | Przełącznik dostosowania liczby klatek na sekundę: false zachowuje podane FPS, podczas gdy true skaluje je o jeden plus liczba interpolowanych klatek. Tym samym 16 FPS staje się 32 FPS, gdy 1 klatka jest interpolowana i dostosowanie jest włączone. |
| `video_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | Ustawienie jakości wynikowego wideo, które wraz ze wzrostem wartości wymienia większe pliki na lepszą oprawę wizualną. |
| `video_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | Tryb zapisu wideo, gdzie 'balanced' oferuje kompromis między prędkością a jakością. Wybierz 'small' dla najmniejszych plików i najwolniejszego zapisu; szybszy zapis zwraca wyniki wcześniej, ale tworzy większe pliki. |

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan/v2.2-5b/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/wan/v2.2-5b/text-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/wan/v2.2-5b/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "wan/v2.2-5b/text-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-5b/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 150,
    "usd": "0.15",
    "charged": 150,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | Plik wideo utworzony podczas generowania. |
| `prompt` | string | Prompt tekstowy użyty do wygenerowania wideo. |
| `seed` | integer | Wartość ziarna stosowana podczas generowania. |

## Related models

- [Wan · v2.2 5b · Text to Image](https://doitong.com/developers/models/wan/v2.2-5b/text-to-image.md) (`wan/v2.2-5b/text-to-image`): $0.016 / image
- [Wan · v2.2 5b · Text to Video · Distill](https://doitong.com/developers/models/wan/v2.2-5b/text-to-video/distill.md) (`wan/v2.2-5b/text-to-video/distill`): $0.08 / video
- [Wan v2.2 5B · Image to Video](https://doitong.com/developers/models/wan/v2.2-5b/image-to-video.md) (`wan/v2.2-5b/image-to-video`): $0.15 / video
- [Wan 3.0 Text to Video](https://doitong.com/developers/models/alibaba/wan-3.0/text-to-video.md) (`alibaba/wan-3.0/text-to-video`): from $0.05 / second
- [FLUX 3 Max Text to Video](https://doitong.com/developers/models/blackforestlabs/flux-3-max/text-to-video.md) (`blackforestlabs/flux-3-max/text-to-video`): from $0.0425 / second of output video
- [Grok Imagine Video 1.5 Text to Video](https://doitong.com/developers/models/xai/grok-imagine-video/v1.5/text-to-video.md) (`xai/grok-imagine-video/v1.5/text-to-video`): from $0.08 / second
- [Kling 3.0 Pro Text to Video](https://doitong.com/developers/models/kling-video/v3/pro/text-to-video.md) (`kling-video/v3/pro/text-to-video`): from $0.112 / second
- [LTX 2.5 Pro Text to Video](https://doitong.com/developers/models/lightricks/ltx-2.5/text-to-video/pro.md) (`lightricks/ltx-2.5/text-to-video/pro`): from $0.12 / second

## Links

- HTML page: https://doitong.com/developers/models/wan/v2.2-5b/text-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=wan/v2.2-5b/text-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/wan/v2.2-5b/text-to-video
